<?php

namespace App\Service;

use App\Entity\Commentaire;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\Security\Core\Security;

/**
 * Class CommentaireManager
 */
class CommentaireManager {
    private $em;
    private $uc;
    private $user;

    public function __construct(EntityManagerInterface $em, UniciteCollections $uc, Security $security)
    {
        $this->em = $em;
        $this->uc = $uc;
        $this->user = $security->getUser();
    }

    public function addCommentaire (Commentaire $commentaire)
    {
        $this->em->persist($commentaire);
        $this->em->flush();
    }

    public function editCommentaire(Commentaire $commentaire)
    {
        $this->em->flush();
    }

    public function delCommentaire(Commentaire $commentaire)
    {
        $commentaire->getFilm()->removeCommentaire($commentaire);
        $this->em->remove($commentaire);
        $this->em->flush();
    }
}